package net.northking.cctp.platform.util;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.*;
import com.alibaba.excel.enums.BooleanEnum;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import com.alibaba.excel.enums.poi.VerticalAlignmentEnum;

@ExcelIgnoreUnannotated
@HeadStyle(
        borderBottom = BorderStyleEnum.THIN,
        borderLeft = BorderStyleEnum.THIN,
        borderRight = BorderStyleEnum.THIN,
        borderTop = BorderStyleEnum.THIN,
        fillForegroundColor = 49,
        fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND,
        verticalAlignment = VerticalAlignmentEnum.CENTER)
@HeadFontStyle(bold = BooleanEnum.TRUE, fontHeightInPoints = 12, fontName = "微软雅黑")
@HeadRowHeight(20)
@ContentFontStyle(fontHeightInPoints = 10, fontName = "微软雅黑")
@ContentStyle(borderBottom = BorderStyleEnum.THIN,
        borderLeft = BorderStyleEnum.THIN,
        borderRight = BorderStyleEnum.THIN,
        borderTop = BorderStyleEnum.THIN,
        wrapped = BooleanEnum.TRUE)
public class LogEntity {

    /**
     * 姓名<br>
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "姓名", index = 0)
    private String username;//姓名

    /**
     * 登录名<br>
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "登录名", index = 1)
    private String loginNo;//登录名
    /**
     * 日志时间<br>
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "日志时间", index = 2)
    private String createTime;
    /**
     * 日志类型（1-新增 2-修改 3-删除）<br>
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "日志类型", index = 3)
    private String type;
    /**
     * 日志内容<br>
     */
    @ColumnWidth(100)
    @ExcelProperty(value = "日志内容", index = 4)
    private String content;
    /**
     * 所属功能<br>
     */
    //@ExcelProperty(value = "所属功能", index = 5)
    private String module;



    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }
}
